kabc Library: KABC::LdapConfigWidget Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::LdapConfigWidget Class Reference

LDAP Configuration widget. More...

`#include <ldapconfigwidget.h>`

Inheritance diagram for KABC::LdapConfigWidget:

[legend]
Collaboration diagram for KABC::LdapConfigWidget:

[legend]
List of all members.

## Public Types
enum | LCW_Flags { W_USER = 0x1, W_PASS = 0x2, W_BINDDN = 0x4, W_REALM = 0x8, W_HOST = 0x10, W_PORT = 0x20, W_VER = 0x40, W_DN = 0x80, W_FILTER = 0x100, W_SECBOX = 0x400, W_AUTHBOX = 0x800, W_TIMELIMIT = 0x1000, W_SIZELIMIT = 0x2000, W_ALL = 0xFFFFFFF }
## Public Member Functions
| LdapConfigWidget (QWidget *parent=0, const char *name=0, WFlags fl=0)
| LdapConfigWidget (int flags, QWidget *parent=0, const char *name=0, WFlags fl=0)
virtual | ~LdapConfigWidget ()
void | setUser (const QString &user)
QString | user () const
void | setPassword (const QString &password)
QString | password () const
void | setBindDN (const QString &binddn)
QString | bindDN () const
void | setRealm (const QString &realm)
QString | realm () const
void | setHost (const QString &host)
QString | host () const
void | setPort (int port)
int | port () const
void | setVer (int ver)
int | ver () const
void | setDn (const QString &dn)
QString | dn () const
void | setFilter (const QString &filter)
QString | filter () const
void | setMech (const QString &mech)
QString | mech () const
void | setSecNO (bool b=true)
bool | isSecNO () const
void | setSecTLS (bool b=true)
bool | isSecTLS () const
void | setSecSSL (bool b=true)
bool | isSecSSL () const
void | setAuthAnon (bool b=true)
bool | isAuthAnon () const
void | setAuthSimple (bool b=true)
bool | isAuthSimple () const
void | setAuthSASL (bool b=true)
bool | isAuthSASL () const
void | setSizeLimit (int sizelimit)
int | sizeLimit () const
void | setTimeLimit (int timelimit)
int | timeLimit () const
int | flags () const
void | setFlags (int flags)
KABC::LDAPUrl | url () const
## Properties
LCW_Flags | flags
QString | user
QString | password
QString | bindDN
QString | realm
QString | host
int | port
int | ver
QString | dn
QString | filter
QString | mech
bool | secNO
bool | secSSL
bool | secTLS
bool | authAnon
bool | authSimple
bool | authSASL
int | sizeLimit
int | timeLimit

## Detailed Description

LDAP Configuration widget.

This class can be used to query the user for LDAP connection parameters. It's KConfigXT compatible, using widget names starting with kcfg_

Definition at line 50 of file ldapconfigwidget.h.

## Constructor & Destructor Documentation

LdapConfigWidget::LdapConfigWidget | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | WFlags | fl = `0`
| ) |

| Constructs an empty configuration widget. You need to call setFlags() after this. Definition at line 47 of file ldapconfigwidget.cpp.

LdapConfigWidget::LdapConfigWidget | ( | int | flags,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | WFlags | fl = `0`
| ) |

| Constructs a configuration widget. Definition at line 56 of file ldapconfigwidget.cpp.

LdapConfigWidget::~LdapConfigWidget | ( |  | ) | `[virtual]`

| Destructs a configuration widget. Definition at line 66 of file ldapconfigwidget.cpp.

## Member Function Documentation

void LdapConfigWidget::setUser | ( | const QString & | user | ) |

| Sets the user name. Kconfig widget name: kcfg_ldapuser Definition at line 410 of file ldapconfigwidget.cpp. References KLineEdit::setText().

QString KABC::LdapConfigWidget::user | ( |  | ) | const

| Gets the user name. Kconfig widget name: kcfg_ldapuser

void LdapConfigWidget::setPassword | ( | const QString & | password | ) |

| Sets the password. Kconfig widget name: kcfg_ldappassword Definition at line 420 of file ldapconfigwidget.cpp. References KLineEdit::setText().

QString KABC::LdapConfigWidget::password | ( |  | ) | const

| Gets the password. Kconfig widget name: kcfg_ldappassword

void LdapConfigWidget::setBindDN | ( | const QString & | binddn | ) |

| Sets the bind dn. Useful for SASL proxy auth. Kconfig widget name: kcfg_ldapbinddn Definition at line 430 of file ldapconfigwidget.cpp. References KLineEdit::setText().

QString KABC::LdapConfigWidget::bindDN | ( |  | ) | const

| Gets the bind dn. Kconfig widget name: kcfg_ldapbinddn

void LdapConfigWidget::setRealm | ( | const QString & | realm | ) |

| Sets the SASL realm. Kconfig widget name: kcfg_ldaprealm Definition at line 440 of file ldapconfigwidget.cpp. References KLineEdit::setText().

QString KABC::LdapConfigWidget::realm | ( |  | ) | const

| Gets the SASL realm. Kconfig widget name: kcfg_ldaprealm

void LdapConfigWidget::setHost | ( | const QString & | host | ) |

| Sets the host name. Kconfig widget name: kcfg_ldaphost Definition at line 450 of file ldapconfigwidget.cpp. References KLineEdit::setText().

QString KABC::LdapConfigWidget::host | ( |  | ) | const

| Gets the host name. Kconfig widget name: kcfg_ldaphost

void LdapConfigWidget::setPort | ( | int | port | ) |

| Sets the LDAP port. Kconfig widget name: kcfg_ldapport Definition at line 460 of file ldapconfigwidget.cpp. References QSpinBox::setValue().

int KABC::LdapConfigWidget::port | ( |  | ) | const

| Gets the LDAP port. Kconfig widget name: kcfg_ldapport

void LdapConfigWidget::setVer | ( | int | ver | ) |

| Sets the LDAP protocol version. Kconfig widget name: kcfg_ldapver Definition at line 470 of file ldapconfigwidget.cpp. References QSpinBox::setValue().

int KABC::LdapConfigWidget::ver | ( |  | ) | const

| Gets the LDAP protocol version. Kconfig widget name: kcfg_ldapver

void LdapConfigWidget::setDn | ( | const QString & | dn | ) |

| Sets the LDAP Base DN. Kconfig widget name: kcfg_ldapdn Definition at line 480 of file ldapconfigwidget.cpp. References KLineEdit::setText().

QString KABC::LdapConfigWidget::dn | ( |  | ) | const

| Gets the LDAP Base DN. Kconfig widget name: kcfg_ldapdn

void LdapConfigWidget::setFilter | ( | const QString & | filter | ) |

| Sets the LDAP Filter. Kconfig widget name: kcfg_ldapfilter Definition at line 490 of file ldapconfigwidget.cpp. References KLineEdit::setText().

QString KABC::LdapConfigWidget::filter | ( |  | ) | const

| Gets the LDAP Filter. Kconfig widget name: kcfg_ldapfilter

void LdapConfigWidget::setMech | ( | const QString & | mech | ) |

| Sets the SASL Mechanism. Kconfig widget name: kcfg_ldapsaslmech Definition at line 500 of file ldapconfigwidget.cpp. References QComboBox::count(), QComboBox::insertItem(), QString::isEmpty(), KComboBox::setCurrentItem(), and QComboBox::text().

QString KABC::LdapConfigWidget::mech | ( |  | ) | const

| Gets the SASL Mechanism. Kconfig widget name: kcfg_ldapsaslmech

void LdapConfigWidget::setSecNO | ( | bool | b = `true` | ) |

| Sets the configuration to no transport security. Kconfig widget name: kcfg_ldapnosec Definition at line 519 of file ldapconfigwidget.cpp. References QRadioButton::setChecked().

bool LdapConfigWidget::isSecNO | ( |  | ) | const

| Returns true if no transport security selected. Kconfig widget name: kcfg_ldapnosec Definition at line 524 of file ldapconfigwidget.cpp. References QRadioButton::isChecked().

void LdapConfigWidget::setSecTLS | ( | bool | b = `true` | ) |

| Sets the configuration to TLS. Kconfig widget name: kcfg_ldaptls Definition at line 529 of file ldapconfigwidget.cpp. References QRadioButton::setChecked().

bool LdapConfigWidget::isSecTLS | ( |  | ) | const

| Returns true if TLS selected. Kconfig widget name: kcfg_ldaptls Definition at line 534 of file ldapconfigwidget.cpp. References QRadioButton::isChecked().

void LdapConfigWidget::setSecSSL | ( | bool | b = `true` | ) |

| Sets the configuration to SSL. Kconfig widget name: kcfg_ldapssl Definition at line 539 of file ldapconfigwidget.cpp. References QRadioButton::setChecked().

bool LdapConfigWidget::isSecSSL | ( |  | ) | const

| Returns true if SSL selected. Kconfig widget name: kcfg_ldapssl Definition at line 544 of file ldapconfigwidget.cpp. References QRadioButton::isChecked().

void LdapConfigWidget::setAuthAnon | ( | bool | b = `true` | ) |

| Sets the authentication to anonymous. Kconfig widget name: kcfg_ldapanon Definition at line 549 of file ldapconfigwidget.cpp. References QRadioButton::setChecked().

bool LdapConfigWidget::isAuthAnon | ( |  | ) | const

| Returns true if Anonymous authentication selected. Kconfig widget name: kcfg_ldapanon Definition at line 554 of file ldapconfigwidget.cpp. References QRadioButton::isChecked().

void LdapConfigWidget::setAuthSimple | ( | bool | b = `true` | ) |

| Sets the authentication to simple. Kconfig widget name: kcfg_ldapsimple Definition at line 559 of file ldapconfigwidget.cpp. References QRadioButton::setChecked().

bool LdapConfigWidget::isAuthSimple | ( |  | ) | const

| Returns true if Simple authentication selected. Kconfig widget name: kcfg_ldapsimple Definition at line 564 of file ldapconfigwidget.cpp. References QRadioButton::isChecked().

void LdapConfigWidget::setAuthSASL | ( | bool | b = `true` | ) |

| Sets the authentication to SASL. Kconfig widget name: kcfg_ldapsasl Definition at line 569 of file ldapconfigwidget.cpp. References QRadioButton::setChecked().

bool LdapConfigWidget::isAuthSASL | ( |  | ) | const

| Returns true if SASL authentication selected. Kconfig widget name: kcfg_ldapsasl Definition at line 574 of file ldapconfigwidget.cpp. References QRadioButton::isChecked().

void LdapConfigWidget::setSizeLimit | ( | int | sizelimit | ) |

| Sets the size limit. KConfig widget name: kcfg_ldapsizelimit Definition at line 579 of file ldapconfigwidget.cpp. References QSpinBox::setValue().

int KABC::LdapConfigWidget::sizeLimit | ( |  | ) | const

| Returns the size limit. KConfig widget name: kcfg_ldapsizelimit

void LdapConfigWidget::setTimeLimit | ( | int | timelimit | ) |

| Sets the time limit. KConfig widget name: kcfg_ldaptimelimit Definition at line 589 of file ldapconfigwidget.cpp. References QSpinBox::setValue().

int KABC::LdapConfigWidget::timeLimit | ( |  | ) | const

| Returns the time limit. KConfig widget name: kcfg_ldaptimelimit

LDAPUrl LdapConfigWidget::url | ( |  | ) | const

| Returns a LDAP Url constructed from the settings given. Extensions are filled for use in the LDAP ioslave Definition at line 378 of file ldapconfigwidget.cpp. References QComboBox::currentText(), QRadioButton::isChecked(), KABC::LDAPUrl::setDn(), KABC::LDAPUrl::setExtension(), KABC::LDAPUrl::setFilter(), KURL::setHost(), KURL::setPass(), KURL::setPort(), KURL::setProtocol(), KURL::setUser(), QLineEdit::text(), and QSpinBox::value().

The documentation for this class was generated from the following files:

- ldapconfigwidget.h
- ldapconfigwidget.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:50 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003